Package org.apache.nutch.protocol.file

## Class FileError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.nutch.protocol.ProtocolException
      - - org.apache.nutch.protocol.file.FileException
        - - org.apache.nutch.protocol.file.FileError

- All Implemented Interfaces:
    `Serializable`

      public class FileError
      extends FileException

  Thrown for File error codes.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileError​(int code)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCode​(int code)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileError

          public FileError​(int code)

  - ### Method Detail

    - #### getCode

          public int getCode​(int code)